Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.util
Class QuerySwitch<T>

    java.lang.Object
      org.eclipse.gmt.modisco.infra.query.util.QuerySwitch<T>

    public class QuerySwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `QueryPackage`

Constructor Summary
`QuerySwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseJavaModelQuery(JavaModelQuery object)` Returns the result of interpreting the object as an instance of 'Java Model Query'.
`T` | `caseModelQuery(ModelQuery object)` Returns the result of interpreting the object as an instance of 'Model Query'.
`T` | `caseModelQueryParameter(ModelQueryParameter object)` Returns the result of interpreting the object as an instance of 'Model Query Parameter'.
`T` | `caseModelQuerySet(ModelQuerySet object)` Returns the result of interpreting the object as an instance of 'Model Query Set'.
`T` | `caseOCLModelQuery(OCLModelQuery object)` Returns the result of interpreting the object as an instance of 'OCL Model Query'.
`T` | `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`T` | `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuerySwitch

    public QuerySwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseModelQuerySet

    public T caseModelQuerySet(ModelQuerySet object)

  Returns the result of interpreting the object as an instance of 'Model Query Set'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Model Query Set'.
  See Also:
    `doSwitch(EObject)`

### caseModelQuery

    public T caseModelQuery(ModelQuery object)

  Returns the result of interpreting the object as an instance of 'Model Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Model Query'.
  See Also:
    `doSwitch(EObject)`

### caseJavaModelQuery

    public T caseJavaModelQuery(JavaModelQuery object)

  Returns the result of interpreting the object as an instance of 'Java Model Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Java Model Query'.
  See Also:
    `doSwitch(EObject)`

### caseModelQueryParameter

    public T caseModelQueryParameter(ModelQueryParameter object)

  Returns the result of interpreting the object as an instance of 'Model Query Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Model Query Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseOCLModelQuery

    public T caseOCLModelQuery(OCLModelQuery object)

  Returns the result of interpreting the object as an instance of 'OCL Model Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'OCL Model Query'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD